## deal.ii 9.6.0

=== debian/changelog ===
deal.ii (9.6.0-1) unstable; urgency=medium

  * New upstream release
  * update patches, fix compilation on arm64

 -- Matthias Maier <tamiko+DEBIAN@43-1.org>  Wed, 02 Oct 2024 07:24:49 +0000

deal.ii (9.5.1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with opencascade 7.8 (Closes: #1071471),
    and ensure by versioned B-D that this version is used.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 May 2024 09:56:38 +0200
